package cn.com.qmth.examcloud.web.reports;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 报表数据体基类
 *
 * @author WANGWEI
 * @date 2018年11月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public abstract class BaseReport implements JsonSerializable {

	private static final long serialVersionUID = -6666294808887127563L;

	/**
	 * 采集时间
	 */
	private Date reportTime;

	/**
	 * 是否忽略采集异常
	 */
	private Boolean ignoreException;

	/**
	 * 采集异常
	 */
	private Boolean hasException;

	/**
	 * 采集主机
	 */
	private String reportHost;

	public Date getReportTime() {
		return reportTime;
	}

	public void setReportTime(Date reportTime) {
		this.reportTime = reportTime;
	}

	public Boolean getIgnoreException() {
		return ignoreException;
	}

	public void setIgnoreException(Boolean ignoreException) {
		this.ignoreException = ignoreException;
	}

	public Boolean getHasException() {
		return hasException;
	}

	public void setHasException(Boolean hasException) {
		this.hasException = hasException;
	}

	public String getReportHost() {
		return reportHost;
	}

	public void setReportHost(String reportHost) {
		this.reportHost = reportHost;
	}

}
